<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginTop="@dimen/dp_16">

    <TextView
        android:id="@+id/tv_name"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dp_22"
        android:layout_marginEnd="@dimen/dp_22"
        android:ellipsize="end"
        android:gravity="center"
        android:lines="1"
        android:singleLine="true"
        android:text="20250711180945-2000026473"
        android:textColor="@color/color_1a1a1a"
        android:textSize="@dimen/sp_14"
        app:layout_constraintTop_toTopOf="parent" />

    <com.cheng.bole.widget.CommonShapeView
        android:id="@+id/btn_download"
        android:layout_width="@dimen/dp_132"
        android:layout_height="@dimen/dp_34"
        android:layout_marginTop="@dimen/dp_16"
        android:text="下载并分享到微信"
        android:textColor="@color/color_125ffe"
        android:textSize="@dimen/sp_13"
        app:csb_activeEnable="true"
        app:csb_fillColor="#0d125ffe"
        app:csb_cornerRadius="@dimen/dp_10"
        app:csb_strokeColor="@color/color_125ffe"
        app:csb_strokeWidth="@dimen/dp_1"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/tv_name" />

</androidx.constraintlayout.widget.ConstraintLayout>